Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178331 - @OptionsPanelController.ContainerRegistration not processed
@OptionsPanelController.ContainerRegistration not processed
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
68patch1-verified
: SIMPLEFIX
Depends on:
Blocks: 171284
  Show dependency treegraph
 
Reported: 2009-12-08 17:43 UTC by Jesse Glick
Modified: 2010-01-25 08:01 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-12-08 17:43:53 UTC
Due to an oversight, this annotation is not handled, unless one of @OptionsPanelController.TopLevelRegistration or @OptionsPanelController.SubRegistration are also used in the same module.

Workaround is to continue to use the layer entry (as in previous releases) rather than an annotation in package-info.java.
Comment 1 Jesse Glick 2009-12-08 18:02:10 UTC
core-main #458703be585b (parented to release68_base for ease of transfer).
Comment 2 Jesse Glick 2009-12-09 09:43:03 UTC
OK, clearly not in 6.8 FCS. How do I mark a bug a candidate for 6.8.1 or similar?
Comment 3 Quality Engineering 2009-12-10 02:30:50 UTC
Integrated into 'main-golden', will be available in build *200912100200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/458703be585b
User: Jesse Glick <jglick@netbeans.org>
Log: #178331: also process @ContainerRegistration.
Comment 4 Jesse Glick 2009-12-10 08:25:58 UTC
Did I get the pseudo-keyword right?
Comment 5 Jesse Glick 2010-01-12 08:46:11 UTC
Any chance I could get this VERIFIED? Should only take a few minutes to make a module containing this annotation on a package-info.java, build in 6.8 and see that no META-INF/generated-layer.xml is created, build in 6.9 and see that it is.
Comment 6 Tomas Danek 2010-01-15 08:30:18 UTC
Works as expected.  Verified in trunk 20100115
Comment 7 pgebauer 2010-01-18 06:03:56 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/2736eb9306a2
Comment 8 Tomas Danek 2010-01-25 07:18:21 UTC
Product Version: NetBeans IDE 6.8 (Build 201001250341)
Java: 1.6.0_17; Java HotSpot(TM) 64-Bit Server VM 14.3-b01-101
System: Mac OS X version 10.6.2 running on x86_64; MacRoman; en_US (nb)
Userdir: /Users/tomas/.netbeans/6.8

verified in 6.8 fixes.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo